#!/bin/bash

USERNAME=$1
SUFFIX=$2
SERVER=$3
ADMINISTRATOR=$4
PASSWORD=$5
PROGID=$6

function usage()
{
	echo "addprogid.sh <username> <suffix> <ldap server> <ldap administrator> <administrator password> <progid>"
	echo "Example: addprogid.sh usuario dc=librework,dc=local localhost Administrator Pa55word ark"
	exit 1
}

if [ -z "$6" ]
then
	usage
fi

sed -e "s/__SUFFIX__/${SUFFIX}/g" -e "s/__USER__/${USERNAME}/g" -e "s/__APPLICATION__/${PROGID}/g" mod_progid.ldif | ldbmodify -H ldap://${SERVER} -U ${ADMINISTRATOR}%${PASSWORD}
