#!/bin/bash
MemUsed=$(free | grep cache: |tr -s ' ' | cut -d ' ' -f3)
MemFree=$(free | grep cache: |tr -s ' ' | cut -d ' ' -f4)
reduceLineas=$(top -n 2 -b -d 1 | grep -v "^ \|^[0-9]\|^top\|^Tasks")
typeset ARRAY[24]
stats=(a b c d e f g h Mem-total Mem-usada Mem-libre Mem-buffer Swap-total Swap-usada Swap-libre Swap-cache Cpu-us Cpu-sy Cpu-ni Cpu-id Cpu-wa Cpu-hi Cpu-si Cpu-st)
for i in $reduceLineas; do
        out=$(echo ${i} | grep -v "^[a-Z%]")
          if [[ $? -eq 0 ]]; then
                if [[ ($k -eq 8) ]]; then
                        echo -en "${stats[${k}]}:${i%%k} \n"
                fi
                if [[ $k -eq 9 ]]; then
                        echo -en "${stats[${k}]}:$MemUsed \n"
                fi
                if [[ $k -eq 10 ]]; then
                        echo -en "${stats[${k}]}:$MemFree \n"
                fi
                if [[ ($k -ge 11 && $k -le 22)  ]]; then
                        echo -en "${stats[${k}]}:${i%% *} \n"
                fi
                k="$k + 1"

           fi
done

espTotal=$(df | grep "/home$" | tr -s ' ' | cut -d ' ' -f 2)
espUsado=$(df | grep "/home$" | tr -s ' ' | cut -d ' ' -f 3)
espLibre=$(df | grep "/home$" | tr -s ' ' | cut -d ' ' -f 4)
toGB=1048576
espTotGB=$espTotal/$toGB
espUsaGB=$espUsado/$toGB
espLibGB=$espLibre/$toGB
resultTot=`echo "scale=2;$espTotGB" | bc`
resultUsa=`echo "scale=2;$espUsaGB" | bc`
resultLib=`echo "scale=2;$espLibGB" | bc`
echo "Esp-total:"$resultTot
echo "Esp-usado:"$resultUsa
echo "Esp-libre:"$resultLib
