#ifndef CONFIGURATIONDIALOG_H
#define CONFIGURATIONDIALOG_H

#include <QIcon>
#include <QString>
#include <QDialog>
#include "menu.h"

class ConfigurationDialog
{
	public:
		virtual QIcon icon() = 0;
		virtual QString name() = 0;
		virtual QDialog * widget() = 0;

		Menu * menuWidget() { return menu; };
		void setMenuWidget(Menu * menu) { this->menu = menu; };

	private:
		Menu * menu;
};

#endif
