#ifndef GOOGLEAUTHDIALOG_H
#define GOOGLEAUTHDIALOG_H

#include <QDialog>
#include <QWebView>
#include <QWebFrame>
#include <QWebElement>
#include <QWebElementCollection>
#include <QString>
#include <QEventLoop>
#include <QGridLayout>
#include <QDir>

#include "toolbutton.h"

class GoogleAuthDialog : public QDialog
{
	Q_OBJECT

	public:
		GoogleAuthDialog(QUrl url, QWidget * parent = 0);

		QString getCode();
		int exec();

	private slots:
		void webViewLoadFinished();

	private:
		void focusInEvent ( QFocusEvent * event );

		QWebView * webView;
		ToolButton * backButton;
		QString code;
};

#endif
