#ifndef APPACTION_H
#define APPACTION_H

#include <QAction>
#include <QString>

class AppAction : public QObject
{
	Q_OBJECT

	public:
		AppAction(QAction * action);

		void setApplication( QString application );
		void setFile( QString file );

	signals:
		void openFile(QString file, QString application);

	private:
		QString application;
		QString file;

	private slots:
		void triggeredCalled();
};

#endif
