#ifndef DROPBOXSERVICE_H
#define DROPBOXSERVICE_H

#include <QProcess>
#include <QString>
#include <QStringList>

#include "storageservice.h"
#include "settings.h"
#include "constants.h"

class DropboxService : public StorageService
{
	Q_OBJECT

	public:
		DropboxService();
		~DropboxService();

		void start();
		void stop();
		bool status();
		void update();
		void unconfigure();
		void unconfigure(QString account);
		QStringList getAccounts();
		int launchCommand(QStringList subcommands);

		QString getDropboxDir();
};

#endif
