#ifndef PIXMAPFRAME_H
#define PIXMAPFRAME_H

#include <QFrame>
#include <QPainter>
#include <QPixmap>

class PixmapFrame : public QFrame
{
	Q_OBJECT

	public:
		PixmapFrame(QWidget * parent = 0, QPixmap pixmap = QPixmap());

		void setOpacity(qreal opacity);
		void setPixmap(QPixmap pixmap, bool centered, bool expanded );

	public slots:
		void resize();
		void paintEvent ( QPaintEvent * event );

	private:
		qreal opacity;
		QPixmap pixmap;
		int x, y;
		bool centered;
		bool expanded;
};

#endif
