#ifndef REMOTECLIENTMANAGER_H
#define REMOTECLIENTMANAGER_H

#include <QObject>
#include <QStringList>
#include <QList>
#include <QHash>

#ifdef Q_OS_WIN
#include "wininfo.h"
#endif

#include "lwclient.h"
#include "settings.h"

class RemoteClientManager : public QObject
{
    Q_OBJECT

public:
    RemoteClientManager();

    QStringList getDrives() { return drives; };
    QStringList getNames() { return names; };

public slots:
    void start();
    void stop();

signals:
    void update();

private:
    QStringList drives;
    QStringList names;
    QList<bool> remove;
};

#endif // REMOTECLIENTMANAGER_H
