#include "storageservice.h"

QStringList StorageService::getCommandOutput(QString command, QStringList arguments)
{
	QStringList ret;

	QProcess * process = new QProcess;
	process->setProcessChannelMode(QProcess::MergedChannels);
	process->start(command, arguments);
	if (process->waitForStarted())
	{
		if (process->waitForFinished())
		{
			while (process->canReadLine())
			{
				ret += process->readLine().trimmed();
				qDebug("Line: %s", ret.last().toUtf8().data());
			}
		}
	}

	delete process;

	return ret;
}
