import logging
import logging.handlers
LOGFILE = '.lwcloudfs.log'

def create_logger(name):
	logger=logging.getLogger(name)
	logger.setLevel(logging.DEBUG)
	ch=logging.handlers.RotatingFileHandler( LOGFILE )
	ch.setFormatter( logging.Formatter("%(levelname)s %(asctime)s - %(name)s - %(threadName)s - %(filename)s:%(lineno)d - %(message)s") )
	logger.addHandler( ch )
	logger.propagate=False
	
	return logger
