package com.librework.console.dao;

import java.util.List;

import com.librework.console.model.Server;
import com.librework.console.model.ServerHDD;

public interface IServerHDDDao {

	boolean createServerHDD(ServerHDD serverHDD);
	
	List<ServerHDD> getAllServerHDD();
	
	List<ServerHDD> getServerHDDId(long serverHDDId);
	
	List<ServerHDD> getServerHDDServer(String serverHDDServer);
	
	List<ServerHDD> getServerHDDDescription(String serverDescription);
	
	boolean updateServerHDD(ServerHDD serverHDD);
	
	boolean deleteServerHDD(ServerHDD serverHDD);
	
	Server getServer (ServerHDD serverHDD);
	
}
