package com.librework.console.dao;

import java.util.List;

import com.librework.console.model.Site;
import com.librework.console.model.User;
import com.librework.console.model.UserSite;

public interface ISiteDao {

	boolean createSite(Site site);
	
	Site getSiteId (long siteId);
	
	List<Site> getSiteDescription (String siteDescription);
	
	List<Site> getAllSite();
	
	boolean updateSite(Site site);
	
	boolean deleteSite(Site site);
	
	List<UserSite> getAllUser(Site site);
	
	boolean addUser(Site site, User user);
	
	boolean removeUser(Site site, User user);
	
	User getUser(Site site, User user);
	
}
