package com.librework.console.dao;

import java.util.List;

import com.librework.console.model.Applications;
import com.librework.console.model.Server;
import com.librework.console.model.SystemOperating;

public interface ISystemOperatingDao {

	boolean createSystemOperating (SystemOperating systemOperating);
	
	List<SystemOperating> getAllSystemOperating();
	
	SystemOperating getSystemOperatingId(long systemOperatingId);
	
	List<SystemOperating> getSystemOperatingDescription(String systemOperatingDescription);
	
	boolean updateSystemOperating (SystemOperating systemOperating);
	
	boolean deleteSystemOperating (SystemOperating systemOperating);
	
	List<Server> getAllServer (SystemOperating systemOperating);
	
	List<Applications> getAllApplications (SystemOperating systemOperating);

}
