package com.librework.console.daoLDAP;

import java.util.List;

import com.librework.console.modelLDAP.GroupUserLDAP;

public interface IGroupLDAPDao {

	boolean createGroup(final GroupUserLDAP group);
	
	GroupUserLDAP getGroupCn(final String cn);
	
	GroupUserLDAP getGroupDistinguishedName(final String distinguishedName);
	
	List<GroupUserLDAP> getAllGroups();
	
	boolean updateGroup(final GroupUserLDAP group);
	
	boolean deleteGroup(final GroupUserLDAP group);
	
}
