package com.librework.console.managed;


import org.primefaces.event.DragDropEvent;
import org.primefaces.event.FileUploadEvent;

public interface IAppManaged {

	void getApp();
	
	void createApp();
	
	void dialogNewApp();
	
	void getAllSyo();
	
	void handleIcon(FileUploadEvent event);
	
	void getAllAppEvents();
	
	void getMoreAppEvents();
	
	void getTableGroup();
	
	void getTableServer();
	
	void getTableUser();
	
	void getActiveUserApp();
	
	void gotoDetUse();
	
	void gotoDetSer();
	
	void updateApp();
	
	void deleteApp();
	
	void removeAppServer();
	
	void addAppServer();
	
	void onServerDrop(DragDropEvent ddEvent);
	
	void removeAppUser();
	
	void addAppUser();
	
	void onUserDrop(DragDropEvent ddEvent);
	
	void removeAppGroup();
	
	void addAppGroup();
	
	void onAppDrop(DragDropEvent ddEvent);
	
	void dialogUpApp();
	
}
