package com.librework.console.service;

import java.util.List;

import com.librework.console.model.GroupServer;
import com.librework.console.model.Server;
import com.librework.console.model.ServerGroup;

public interface IGroupServerService {

	boolean createGroupServer(GroupServer groupServer);
	
	GroupServer getGroupServerId(long groupServerId);
	
	List<GroupServer> getAllGroupServer();
	
	boolean updateGroupServer(GroupServer groupServer);
	
	boolean deleteGroupServer(GroupServer groupServer);
	
	List<ServerGroup> getAllServer(GroupServer groupServer);
	
	boolean addServer(GroupServer groupServer, Server server, String userId);
	
	boolean removeServer (GroupServer groupServer, Server server);
	
	Server getServer (GroupServer groupServer, Server server);
}
