#ifndef PROXYSERVER_H
#define PROXYSERVER_H

#include <QTcpServer>
#include <QStringList>

class ProxyServer : public QTcpServer
{
	Q_OBJECT

	public:
		ProxyServer(QString remoteAddress, int remotePort);
		~ProxyServer();

	protected:
		void incomingConnection( int socketDescriptor );

	private slots:
		void error(QAbstractSocket::SocketError err);

	private:
		QString remoteAddress;
		int remotePort;
};

#endif
