#include "lwprintercommand.h"

QString LWPrinterCommand::removeGooglePrinter(QString confFile, QString account, QString username, QString printerName)
{
	QString command = "/usr/lib/cloudprint-cups/manageprinters.py";
	QStringList arguments;
	arguments += "disconnect";
	arguments += confFile;
	arguments += account;
	arguments += printerName;
	QString prefix =  username + "_GCP_";
	arguments += prefix.replace("\\", "_");
	arguments += username;

	int ret = QProcess::execute( command, arguments );
	if ( ret == 0 )
		return QString("Ok");
	else
		return QString("Error %1").arg(ret);
}

QString LWPrinterCommand::addGooglePrinter(QString confFile, QString account, QString username, QString printerName)
{
	QString command = "/usr/lib/cloudprint-cups/manageprinters.py";
	QStringList arguments;
	arguments += "connect";
	arguments += confFile;
	arguments += account;
	arguments += printerName;
	QString prefix =  username + "_GCP_";
	arguments += prefix.replace("\\", "_");
	arguments += username;

	int ret = QProcess::execute( command, arguments );
	if ( ret == 0 )
		return QString("Ok");
	else
		return QString("Error %1").arg(ret);
}

QString LWPrinterCommand::pruneGooglePrinters(QString confFile, QString username)
{
	QString command = "/usr/lib/cloudprint-cups/manageprinters.py";
	QStringList arguments;
	arguments += "prune";
	arguments += confFile;
	QString prefix =  username + "_GCP_";
        arguments += prefix.replace("\\", "_");

	int ret = QProcess::execute( command, arguments );
	if ( ret == 0 )
		return QString("Ok");
	else
		return QString("Error %1").arg(ret);
}

QString LWPrinterCommand::addPrinter(QString name, QString address)
{
    return QString::null;
}

QString LWPrinterCommand::removePrinter(QString name)
{
    return QString::null;
}

QString LWPrinterCommand::sharePrinter(QString name, QString group)
{
    return QString::null;
}
