#ifndef PYTHONRUN_H
#define PYTHONRUN_H

#include <QProcess>
#include <QDebug>
#include <QObject>

#include "constants.h"

class PythonRun : public QObject
{
	Q_OBJECT

	public:
		PythonRun(QStringList program);
		~PythonRun();

		QProcess::ExitStatus run();
		QByteArray readAllStandardError();
		int exitCode();
		static QString runSambaTool(QStringList arguments);
		static QString getSambaParameter(QString section, QString parameter);

	private:
		QProcess * process;
		QStringList program;

		void runLine( QString line );
};

#endif
