DEST	= /usr/bin

QT	+= widgets network sql
QT_DEBUG_PLUGINS = 1

TEMPLATE= app

CONFIG	+= debug

TARGET	= lwserver
target.path = /usr/bin

cloudprint.path = /usr/lib/cloudprint-cups
cloudprint.files= manageprinters.py

chroot.path = /usr/sbin
chroot.files = mountchroot umountchroot

config.path = /etc/librework-server
config.files = librework-server.ini

#LIBS	+= -lproc -lz
linux: LIBS += -lprocps -lpam -lvirt
win32: LIBS += -lws2_32 -lnetapi32 -ladvapi32 -lwtsapi32 -lactiveds

INSTALLS += target
INSTALLS += cloudprint
INSTALLS += chroot
INSTALLS += config

SOURCES	+= main.cpp lwserver.cpp lwserverthread.cpp lwservercommand.cpp mysqlinfo.cpp \
	lwusercommand.cpp lwsystemcommand.cpp lwprintercommand.cpp lwapplicationcommand.cpp \
        lwstoragecommand.cpp pythonrun.cpp lwvirtcommand.cpp initdialog.cpp

HEADERS	+= constants.h lwserver.h lwserverthread.h lwservercommand.h mysqlinfo.h \
	lwusercommand.h lwsystemcommand.h lwprintercommand.h lwapplicationcommand.h \
        lwstoragecommand.h pythonrun.h lwvirtcommand.h initdialog.h

exists( "/usr/bin/colorgcc" ) {
	QMAKE_CXX = colorgcc
}

DISTFILES += \
    librework-server.ini

FORMS += \
    initdialog.ui

RESOURCES += \
    resource.qrc
