#SingleInstance ignore

;WM_CREATE = 0x01
;WM_ACTIVATE = 0x06
;WM_SHOWWINDOW = 0x18
;WM_ACTIVATEAPP = 0x1C

Process, Priority, , Low

Global socket

HotKey,+F10,disconnect
HotKey,+F11,close
HotKey,+F12,kill

Global IPAddress, port

command=%1%
IPAddress=%2%
port=%3%

doConnectNetworkShares()

doRenameNetworkShares()

doConnectToServer()

SetTimer, maximize, -500

doSendMessage("running")

if 4 =
	RunWait %command%,Z:\,max,processPid
else
	RunWait %command% "%4%",Z:\,max,processPid

doSendMessage("close")

doKill()
ExitApp

return

doConnectNetworkShares()
{
	EnvGet, logonserver, LOGONSEVER
	EnvGet, username, USERNAME
	IfNotExist, R:\
		Run %comspec% /c net use R: %logonserver%\shared
	IfNotExist, Z:\
		Run %comspec% /c net use Z: %logonserver%\%username%
}

doRenameNetworkShares()
{
	Run, %comspec% /c cscript.exe "%a_workingdir%\renameshares.vbs",, hide
}

doConnectToServer()
{
	AF_INET = 2
	AF_INET6 = 10
	SOCK_STREAM = 1
	IPPROTO_TCP = 6

	VarSetCapacity(wsaData, 32)
	Result := DllCall("Ws2_32\WSAStartup", "UShort", 0x0002, "UInt", &wsaData)
	If ErrorLevel
	{
		MsgBox WSAStartup() could not be called due to error %ErrorLevel%. Winsock 2.0 or higher is required.
		return -1
	}
	If Result  ; Non-zero, which means it failed (most Winsock functions return 0 upon success).
	{
		MsgBox % "WSAStartup() indicated Winsock error " . DllCall("Ws2_32\WSAGetLastError")
		return -1
	}

	socket := DllCall("Ws2_32\socket", "Int", AF_INET, "Int", SOCK_STREAM, "Int", IPPROTO_TCP)

	sockPort := DllCall("Ws2_32\htons", "UShort", port)
	sockAddress := DllCall("Ws2_32\inet_addr", "AStr", IPAddress)

	VarSetCapacity(sockaddr, 16)
	NumPut(AF_INET, sockaddr, 0, 2)
	NumPut(sockPort, sockaddr, 2, "UShort")
	NumPut(sockAddress, sockaddr, 4, 4)

	iSendResult := DllCall("Ws2_32\connect", "UInt", socket, "UInt", &sockaddr, "Int", 16)
	if (iSendResult)
	{
		Result := DllCall("Ws2_32\WSAGetLastError")
		msgBox, Connect Error: %Result%
	}

	DllCall("Ws2_32\WSAAsyncSelect", "UInt", socket, "UInt", WinExist("A"), "UInt", 0x5555, "Int", 1|32)
;	OnMessage(0x5555, "doReceiveMessage")
}

doSendMessage( message )
{
	iSendResult := DllCall("Ws2_32\send", "UInt", socket, "AStr", message, "Int", StrLen(message), "Int", 0)
}

maximize()
{
	global

	WinWait, ahk_pid %processPid%
	WinGet, winId, ID
	WinGet, orig_%winId%_wasMaximized, MinMax
	WinGetPos, orig_%winId%_x, orig_%winId%_y, orig_%winId%_width, orig_%winId%_height ; store the old bounds
	WinSet, Style, -0x800000
	Winset, Style, -0xC00000
	Winset, Style, -0x10000
	Winset, Style, -0x20000
	Winset, Style, -0x40000
	Winset, Style, -0x80000
	WinMove, , , 0, 0, A_ScreenWidth, A_ScreenHeight + 0 ; - 1 ; 1 pixel less, to be able to use the auto-hide taskbar
	WinWaitClose

}

doDisconnect()
{
	Run,tsdiscon.exe
}

doClose()
{
	WinGetActiveTitle, Title
	Winclose, %Title%
}

doKill()
{
	Run,shutdown /l /f
}

disconnect:
	doDisconnect()
	return

close:
	doClose()
	return

kill:
	doKill()
	return

maximize:
	maximize()
	return
