#include "appaction.h"

AppAction::AppAction(QAction * action ) : QObject()
{
	connect(action, SIGNAL(triggered()), this, SLOT(triggeredCalled()));
	connect(action, SIGNAL(destroyed()), this, SLOT(deleteLater()));
}

void AppAction::setApplication( QString application )
{
	this->application = application;
}

void AppAction::setFile( QString file )
{
	this->file = file;
}

void AppAction::triggeredCalled()
{
	emit openFile(file, application);
}
