#ifndef GOOGLEDRIVESERVICE_H
#define GOOGLEDRIVESERVICE_H

#include <QProcess>
#include <QString>
#include <QStringList>

#include "storageservice.h"
#include "settings.h"
#include "constants.h"

class GoogleDriveService : public StorageService
{
	Q_OBJECT

	public:
		GoogleDriveService();
		~GoogleDriveService();

		void start();
		void stop();
		bool status();
		void update();
		void unconfigure();
		void unconfigure(QString account);
		QStringList getAccounts();
		int launchCommand(QStringList subcommands);

		QString getGoogleDriveDir();
};

#endif
