#ifndef SEARCH_H
#define SEARCH_H

#include <QThread>
#include <QFileInfo>
#include <QString>
#include <QStringList>
#include <QList>

class Search : public QThread
{
	Q_OBJECT

	public:
		Search(QString exp, QStringList dirs);

		QFileInfoList foundFiles();
		void run();

	signals:
		void searchDone();

	private:
		QList<QFileInfo> recursiveSearch(QString exp, QStringList dirs);

		QString exp;
		QStringList dirs;
		QFileInfoList files;
};

#endif
