#include "pixmaplabel.h"

PixmapLabel::PixmapLabel(QPixmap pixmap, QWidget * parent) : QLabel( parent )
{
	opacity = 1.0;
	setPixmap( pixmap );
}

void PixmapLabel::setOpacity(qreal opacity)
{
	this->opacity = opacity;
	repaint();
}

void PixmapLabel::paintEvent ( QPaintEvent * )
{
	QPainter painter(this);
	painter.setOpacity(opacity);
	painter.drawPixmap(0, 0, * pixmap());
}
