#ifndef PIXMAPLABEL_H
#define PIXMAPLABEL_H

#include <QLabel>
#include <QPainter>
#include <QPixmap>

class PixmapLabel : public QLabel
{
	Q_OBJECT

	public:
		PixmapLabel(QPixmap pixmap = QPixmap(), QWidget * parent = 0);

		void setOpacity(qreal opacity);

	public slots:
		void paintEvent ( QPaintEvent * event );

	private:
		qreal opacity;
};

#endif
