TEMPLATE        = subdirs

linux: SUBDIRS	+= icons common filemanager windowmanager
win32: SUBDIRS	+= common

CONFIG		+= debug

TRANSLATIONS = ts/desktux_es.ts

include(qmake.variables)

dropbox.path	= $$BIN_DIR
dropbox.files	= dropbox.sh

gdrive.path	= $$BIN_DIR
gdrive.files	= googledrive.sh

cloudprint.path	= /usr/lib/cloudprint-cups
cloudprint.files= manageaccounts.py

i18n.path	= $$SHARE_DIR/i18n
i18n.files	= ts/*.qm

icons32.path	= $$SHARE_DIR/icons/32x32
icons32.files	+= icons/32x32/*.png
icons32.files	+= icons/32x32/*.jpg

icons48.path	= $$SHARE_DIR/icons/48x48
icons48.files	+= icons/48x48/*.png
icons48.files	+= icons/48x48/*.jpg

icons64.path	= $$SHARE_DIR/icons/64x64
icons64.files	+= icons/64x64/*.png
icons64.files	+= icons/64x64/*.jpg

iconsother.path	= $$SHARE_DIR/icons/other
iconsother.files	+= icons/other/*.png
iconsother.files	+= icons/other/*.jpg

iconsapps.path	= $$SHARE_DIR/icons/applications
iconsapps.files	+= icons/applications/*.png
iconsapps.files	+= icons/applications/*.jpg

iconsgrps.path	= $$SHARE_DIR/icons/groups
iconsgrps.files	+= icons/groups/*.png
iconsgrps.files	+= icons/groups/*.jpg

iconsanim.path	= $$SHARE_DIR/icons/animations
iconsanim.files	+= icons/animations/*.gif

iconswm.path	= $$SHARE_DIR/icons/wm
iconswm.files	+= icons/wm/*.png

wallpapers.path	= $$SHARE_DIR/wallpapers
wallpapers.files += wallpapers/*.png
wallpapers.files += wallpapers/*.jpg

mime.path	= $$SHARE_DIR/mime
mime.files	+= mime/types
mime.files	+= mime/extensions
mime.files	+= mime/applications
mime.files	+= mime/groups

config.path	= $$CONF_DIR
config.files	+= desktux.ini

INSTALLS	+= i18n
INSTALLS        += icons32
INSTALLS        += icons48
INSTALLS	+= icons64
INSTALLS	+= iconsother
INSTALLS	+= iconsapps
INSTALLS	+= iconsgrps
INSTALLS	+= iconsanim
INSTALLS	+= iconswm
INSTALLS	+= wallpapers
INSTALLS	+= mime
INSTALLS	+= config
INSTALLS	+= dropbox
INSTALLS	+= gdrive
INSTALLS	+= cloudprint
