#include <QApplication>

#include "../common/filesystemwidget.h"

int main(int argc, char ** argv)
{
	QString openLocation;

	QApplication qApplication(argc, argv);

	QStringList arguments = QCoreApplication::arguments();

	if (arguments.count() >= 2)
		openLocation = arguments[1];

	FileSystemWidget * manager = new FileSystemWidget(0, true, openLocation);

	manager->show();

	return qApplication.exec();
}

