#!/bin/bash

GROUP=""

for i in `cat /etc/mime.types | grep -v "^#" | awk '{print $1}'`
do
	if [ -n "$i" ]
	then
		NEWGROUP=`echo $i | awk -F '/' '{print $1}'`
		if [ "${GROUP}" != "${NEWGROUP}" ]
		then
			GROUP=${NEWGROUP}
			echo -e "\n[${GROUP}]" >> mime/types
		fi
		MIME=`echo $i | awk -F '/' '{print $2}'`
		echo "${MIME}="  >> mime/types
	fi
done
