#!/usr/bin/env python

import fuse
from fuse import Fuse
fuse.fuse_python_api = (0, 2)

class FSStat(fuse.Stat):
	def __init__(self):
		self.st_mode = 0
		self.st_ino = 0
		self.st_dev = 0
		self.st_nlink = 0
		self.st_uid = 0
		self.st_gid = 0
		self.st_size = 0
		self.st_blocks = 0
		self.st_atime = 0
		self.st_mtime = 0
		self.st_ctime = 0

	def __str__(self):
		ret = 'File stats:\n'
		ret += 'st_mode: ' + str(self.st_mode) + '\n'
		ret += 'st_ino: ' + str(self.st_ino)  + '\n'
		ret += 'st_dev: ' + str(self.st_dev)  + '\n'
		ret += 'st_nlink: ' + str(self.st_nlink)  + '\n'
		ret += 'st_uid: ' + str(self.st_uid)  + '\n'
		ret += 'st_gid: ' + str(self.st_gid)  + '\n'
		ret += 'st_size: ' + str(self.st_size)  + '\n'
		ret += 'st_blocks: ' + str(self.st_blocks)  + '\n'
		ret += 'st_atime: ' + str(self.st_atime)  + '\n'
		ret += 'st_mtime: ' + str(self.st_mtime)  + '\n'
		ret += 'st_ctime: ' + str(self.st_ctime)  + '\n'

		return ret
		
