package com.librework.console.dao;

import java.util.List;

import com.librework.console.model.AppGroup;
import com.librework.console.model.AppServer;
import com.librework.console.model.Applications;
import com.librework.console.model.GroupApp;
import com.librework.console.model.GroupUser;
import com.librework.console.model.GroupUserApp;
import com.librework.console.model.Server;
import com.librework.console.model.User;
import com.librework.console.model.UserApp;

public interface IApplicationsDao {

	boolean createApplications(Applications applications);
	
	Applications getApplicationsId(long applicationsId);
	
	List<Applications> getApplicationsName(String applicationsName);
	
	List<Applications> getAllApplications();
	
	boolean updateApplications(Applications applications);
	
	boolean deleteApplications(Applications applications);
	
	List<AppGroup> getAllGroupApp(Applications applications);
	
	boolean addGroupApp(Applications applications, GroupApp groupApp, String userId);
	
	boolean removeGroupApp(Applications applications, GroupApp groupApp);
	
	GroupApp getGroupApp(Applications applications, GroupApp gropuApp);
	
	List<UserApp> getAllAppUser(Applications applications);
	
	List<UserApp> getActiveAppUser(Applications applications);
	
	boolean addUserApp(Applications applications, User user, String userId);
	
	boolean removeUserApp(Applications applications, User user);
	
	User getUser(Applications applications, User user);
	
	List<AppServer> getAllAppServer(Applications applications);
	
	boolean addAppServer(Applications applications, Server server, String userId);
	
	boolean removeAppServer(Applications applications, Server server);
	
	Server getServer(Applications applications, Server server);
	
	List<GroupUserApp> getAllGroupUser(Applications applications);
	
	boolean addGroupUser (Applications applications, GroupUser groupUser, String userId);
	
	boolean removeGroupUser (Applications applications, GroupUser groupUser);
	
	GroupUser getGroupUser(Applications applications, GroupUser groupUser);
	
}
