package com.librework.console.dao;

import java.util.List;

import com.librework.console.model.AppGroup;
import com.librework.console.model.Applications;
import com.librework.console.model.GroupApp;

public interface IGroupAppDao {

	boolean createGroupApp(GroupApp groupApp);
	
	GroupApp getGroupAppId(long groupAppId);
	
	List<GroupApp> getGroupAppName(String groupAppName);
	
	List<GroupApp> getAllGroupApp();
	
	boolean updateGroupApp(GroupApp groupApp);
	
	boolean deleteGroupApp(GroupApp groupApp);
	
	boolean addApplications(GroupApp groupApp, Applications applications, String userId);
	
	List<AppGroup> getAllApplications(GroupApp groupApp);
	
	boolean removeApplications(GroupApp groupApp, Applications applications);
	
	Applications getApplications(GroupApp groupApp, Applications applications);
	
}
