package com.librework.console.daoLDAP;

import java.util.List;

import com.librework.console.modelLDAP.UserLDAP;

public interface IUserLDAPDao {
	
	boolean authenticate(final String cn, final String password);
	
	boolean createUser(final UserLDAP user);
	
	boolean setPasswordUser(final UserLDAP user);
	
	UserLDAP getUserCn(final String cn);
	
	UserLDAP getUserDistinguishedName(final String distinguishedName);

	List getAllUsersNames();

	List<UserLDAP> getAllUsers();
	
	boolean updateUser(final UserLDAP user);
	
	boolean deleteUser(final UserLDAP user);
	
}
