package com.librework.console.general;

public class Constant {

	//CONSTANTES
	public static final String CONS_LOCAL = "LOCAL";
	public static final String CONS_CLIENT = "CLIENT";
	public static final String CONS_DB = "DB";
	public static final String CONS_PASSLDAP = "PASSLDAP";
	public static final String CONS_ADMIN = "Admin";
	public static final String CONS_ADMINISTRATORS = "Administrators";
	public static final String CONS_Y = "Y";
	public static final String NUMBER_CERO = "0";
	public static final String STRING_SINESPECIFICAR = "Sin especificar";
	public static final String CONS_ICO = ".png";
	
	//FICHEROS PROPERTIES
	public static final String CONFIG_FILE_LIBREWORK = "librework.properties";
	public static final String CONFIG_FILE_LDAP = "ldapContext.xml";
	public static final String CONFIG_FILE_LDAP_CLIENT = "ldapContextClient.xml";
	public static final String CONFIG_FILE_I18N = "i18n_";
	public static final String EXTENSION_FILE_PROPERTIES = ".properties";
	
	//CONSTANTES LDAP
	public static final String LOAD_HOST = "LIBREWORK_HOST";
	public static final String LOAD_DC1 = "LIBREWORK_DC1";
	public static final String LOAD_DC2 = "LIBREWORK_DC2";
	public static final String LOAD_HOST_CLIENT = "LIBREWORK_HOST_CLIENT";
	public static final String LOAD_DC1_CLIENT = "LIBREWORK_DC1_CLIENT";
	public static final String LOAD_DC2_CLIENT = "LIBREWORK_DC2_CLIENT";
	public static final String LOAD_REPSAMBA = "LIBREWORK_REPSAMBA";
	public static final String LOAD_AUTHENTICATION="LIBREWORK_AUTHENTICATION";
	
	//BEAN LDAP
	public static final String BEAN_USERDAO = "userLDAPDao";
	public static final String BEAN_GROUPDAO = "groupLDAPDao";
	public static final String BEAN_USERGROUPDAO = "userGroupLDAPDao";
	public static final String BEAN_APPDAO = "applicationLDAPDao";
	public static final String BEAN_SERVERDAO = "serverLDAPDao";
	public static final String BEAN_USERAPPDAO = "userAppLDAPDao";
	public static final String BEAN_APPSERVERDAO = "appServerLDAPDao";
	public static final String BEAN_APPGROUPDAO = "appGroupLDAPDao";
	public static final String BEAN_SERVERGROUPDAO = "serverGroupLDAPDao";
	
	//CONSTANTES FILTROS LDAP
	public static final String KEY_STR_FILTERLDAP_OBJECTCLASS = "objectclass";
	public static final String KEY_STR_FILTERLDAP_TYPE_USER = "user";
	public static final String KEY_STR_FILTERLDAP_TYPE_PERSON = "person";
	public static final String KEY_STR_FILTERLDAP_TYPE_GROUP = "group";
	public static final String KEY_STR_FILTERLDAP_TYPE_APPLICATION = "application";
	public static final String KEY_STR_FILTERLDAP_TYPE_SERVER = "lwserver";
	
	//CONSTANTES ENTIDADES LDAP
	public static final String KEY_STR_DNAME_CN_USERS = "CN=Users";
	public static final String KEY_STR_DNAME_CN_BUILTIN = "CN=Builtin";
	public static final String KEY_STR_DNAME_CN_APPLICATIONS = "CN=Applications";
	public static final String KEY_STR_DNAME_CN_SERVERS = "CN=Servers";
	public static final String KEY_STR_DNAME_CN = "CN";
	public static final String KEY_STR_DNAME_CN_EQUAL = "CN=";
	public static final String KEY_STR_DNAME_USERS = "Users";
	public static final String KEY_STR_DNAME_BUILTIN = "Builtin";
	public static final String KEY_STR_DNAME_APPLICATIONS = "Applications";
	public static final String KEY_STR_DNAME_SERVERS = "Servers";
	
	//CONSTANTES ATRIBUTOS LDAP
	public static final String KEY_STR_ATTR_CN = "cn";
	public static final String KEY_STR_ATTR_SAMACCOUNTNAME = "sAMAccountName";
	public static final String KEY_STR_ATTR_UNICODEPWD = "unicodePwd";
	public static final String KEY_STR_ATTR_USERACCOUNTCONTROL = "userAccountControl";
	public static final String KEY_STR_ATTR_NAME = "name";
	public static final String KEY_STR_ATTR_DESCRIPTION = "description";
	public static final String KEY_STR_ATTR_DISPLAYNAME = "displayName";
	public static final String KEY_STR_ATTR_REGISTEREDADDRESS = "registeredAddress";
	public static final String KEY_STR_ATTR_TELEPHONENUMBER = "telephoneNumber";
	public static final String KEY_STR_ATTR_MAIL = "mail";
	public static final String KEY_STR_ATTR_LASTLOGOFF = "lastLogoff";
	public static final String KEY_STR_ATTR_LASTLOGON = "lastLogon";
	public static final String KEY_STR_ATTR_DISTINGUISHEDNAME = "distinguishedName";
	public static final String KEY_STR_ATTR_MEMBER = "member";
	public static final String KEY_STR_ATTR_MEMBEROF = "memberOf";
	public static final String KEY_STR_ATTR_ICON = "iconPath";
	public static final String KEY_STR_ATTR_OPERATINGSYSTEM = "operatingSystem";
	public static final String KEY_STR_ATTR_PROGGROUP = "proggroup";
	public static final String KEY_STR_ATTR_SCRIPTPATH = "scriptPath";
	public static final String KEY_STR_ATTR_HOST = "host";
	public static final String KEY_STR_ATTR_SERVERGROUP = "servergroup";
	public static final String KEY_STR_ATTR_PROGID = "progid";
	
	//CONSTANTES FORMATO FECHA
	public static final String MASK_DATE_MYSQL = "yyyy-MM-dd HH:mm:ss";
	public static final String MASK_DATE_WEB = "dd/MM/yyyy HH:mm:ss";
	
	//CONSTANTES DE CALLBACK NAVEGACION
	public static final String ARGS_LOGGEDIN = "loggedIn";
	public static final String ARGS_VIEW = "view";
	public static final String ARGS_CORRECT = "correct";
	
	//CONSTANTES DE NAVEGACION
	public static final String WEB_PATH_RESOURCES = "/resources";
	public static final String WEB_IMA_NOIMAGE = "noimage.png";
	public static final String WEB_TYPE_IMAGE = "image/png";
	public static final String WEB_FACES_REDIRECT = "?faces-redirect=true";
	public static final String WEB_PAGE_LOGIN = "/console/logon.jsf";
	public static final String WEB_PAGE_HOME = "secured/home.jsf";
	public static final String WEB_PAGE_HOMEUSER = "homeuser.jsf";
	public static final String WEB_PAGE_HOMEAPP = "homeapp.jsf";
	public static final String WEB_PAGE_HOMESERVER = "homeser.jsf";
	public static final String WEB_PAGE_DETUSER = "detuser.jsf";
	public static final String WEB_PAGE_DETAPP = "detapp.jsf";
	public static final String WEB_PAGE_DETSERVER = "detserver.jsf";
	public static final String WEB_PAGE_NEW_USER_BD = "diaNewUserBD";
	public static final String WEB_PAGE_NEW_USER_LDAP = "diaNewUserLDAP";
	public static final String WEB_MSG_NEWUSERLDAP = "diaNewUserLDAP.show()";
	public static final String WEB_MSG_NEWUSERDB = "diaNewUser.show()";
	public static final String WEB_MSG_UPDUSER = "diaUpdUser.show()";
	public static final String WEB_CLOSE_MSG_UPDUSER = "diaUpdUser.hide()";
	public static final String WEB_MSG_NEWGROUPUSER = "diaNewGroupUser.show()";
	public static final String WEB_MSG_UPAPP = "diaUpApp.show()";
	public static final String WEB_CLOSE_MSG_UPAPP = "diaUpApp.hide()";
	public static final String WEB_MSG_UPSERVER = "diaUpdServer.show()";
	public static final String WEB_CLOSE_MSG_UPSERVER = "diaUpdServer.hide()";
	public static final String WEB_CLOSE_MSG_NEWUSERDB = "diaNewUser.hide()";
	public static final String WEB_CLOSE_MSG_NEWUSERLDAP = "diaNewUserLDAP.hide()";
	public static final String WEB_CLOSE_MSG_NEWGROUPUSER ="diaNewGroupUser.hide()";
	public static final String WEB_MSG_NEWAPP = "diaNewApp.show()";
	public static final String WEB_CLOSE_MSG_NEWAPP = "diaNewApp.hide()"; 
	public static final String WEB_MSG_NEWGROUPAPP = "diaNewGroupApp.show()";
	public static final String WEB_CLOSE_MSG_NEWGROUPAPP = "diaNewGroupApp.hide()";
	public static final String WEB_MSG_NEWSERVER = "diaNewServer.show()";
	public static final String WEB_CLOSE_MSG_NEWSERVER = "diaNewServer.hide()";
	public static final String WEB_MSG_NEWGROUPSERVER = "diaNewGroupServer.show()";
	public static final String WEB_CLOSE_MSG_NEWGROUPSERVER = "diaNewGroupServer.hide()";
	
	//CONSTANTES DE MENSAJES
	public static final String MSG_CRITICAL = "CRITICAL";
	public static final String MSG_WARNNING = "WARNNING";
	public static final String MSG_INFORMATION = "INFORMATION";
	public static final String TXT_GEN_CORRECT = "gen_correct";
	public static final String TXT_GEN_SAVE_OK = "gen_save_ok";
	public static final String TXT_GEN_ERROR = "gen_error";
	public static final String TXT_GEN_SAVE_KO = "gen_save_ko";
	public static final String TXT_GEN_REMOVE_OK = "gen_remove_ok";
	public static final String TXT_GEN_REMOVE_KO = "gen_remove_ko";
	//CONSTANTES DE EVENTOS
	public static final int EVE_START_SESSION = 1;
	public static final int EVE_END_SESSION = 2;
	public static final int EVE_STAR_APPLICATION = 3;
	public static final int EVE_END_APPLICATION = 4;
	public static final String EVE_TXT_STAR_SESSION = "eve_startsession";
	public static final String EVE_TXT_END_SESSION = "eve_endsession";
	public static final String EVE_TXT_STAR_APPLICATION = "eve_startapplication";
	public static final String EVE_TXT_END_APPLICATION = "eve_endapplciation";
	public static final String EVE_ICON_USER_EVENT = "/resources/user-icon1.png";
	public static final String EVE_ICON_APP_EVENT = "/resources/application-icon1.png";
	public static final String EVE_ICON_SERVER_EVENT = "/resources/server-icon1.png";
	public static final int NOT_INFORMATION = 1002;
	public static final int NOT_WARNING = 1000;
	public static final int NOT_CRITICAL= 1001;
	public static final String NOT_TXT_ERROR = "gen_error";
	public static final String NOT_TXT_INFORMATION = "gen_information";
	public static final String NOT_TXT_WARNING = "gen_warning";
	public static final String NOT_ICON_ERROR = "/resources/critical.jpg";
	public static final String NOT_ICON_INFORMATION = "/resources/information.jpg";
	public static final String NOT_ICON_WARNING = "/resources/warning.jpg";
	
	
	
	//CONSTANTES DE IDIOMA I18N
	public static final String I18N_EVE_TXT_USER = "eve_usuario";
	public static final String I18N_EVE_TXT_STARTED_SESSION = "eve_startedsession";
	public static final String I18N_EVE_TXT_ENDED_SESSION = "eve_endedsession";
	public static final String I18N_EVE_TXT_STARTED_APPLICATION = "eve_startedapplication";
	public static final String I18N_EVE_TXT_ENDED_APPLICATION = "eve_endedapplication";
	public static final String I18N_EVE_TXT_SERVER = "eve_server";
	public static final String I18N_GEN_USER = "gen_user";
	public static final String I18N_GEN_SERVER = "gen_server";
	public static final String I18N_GEN_DISK = "gen_disk";
	public static final String I18N_GEN_APPLICATION = "gen_application";
	
	
}
