package com.librework.console.managed;

import org.primefaces.event.DragDropEvent;


public interface IUserManaged {

	void getActivatedUser();
	
	void getUser();
	
	void createUserBD();
	
	void createUserLDAP();
	
	void dialogNewUser();
	
	void dialogUpdUser();

	void closeConnection();
	
	void updateUser();
	
	void deleteUser();
	
	void gotoDetApp();
	
	void gotoDetSer();
	
	void getAllUserEvents();
	
	void getMoreUserEvents();
	
	void getTableGroupUser();
	
	void getTableAppUser();
	
	void onUserDrop(DragDropEvent ddEvent);
	
	void addUserGroup();
	
	void removeUserGroup();
	
	void onAppDrop(DragDropEvent ddEvent);
	
	void addUserApp();
	
	void removeUserApp();
	
	void getActiveUserApp();
	
	
}
