package com.librework.console.service;

import java.util.List;

import com.librework.console.model.Applications;
import com.librework.console.model.GroupUser;
import com.librework.console.model.GroupUserApp;
import com.librework.console.model.User;
import com.librework.console.model.UserGroup;

public interface IGroupUserService {

	void createGroupUser(GroupUser groupUser);
	
	GroupUser getGroupUserId(long groupUserId);
	
	GroupUser getGroupUserCn(String groupUserCn);
	
	List<GroupUser> getAllGroupUser();
	
	void updateGroupUser(GroupUser groupUser);
	
	void deleteGroupUser(GroupUser groupUser);
	
	List<UserGroup> getAllUser(GroupUser groupUser);
	
	boolean addUser(GroupUser groupUser, User user);
	
	boolean removeUser(GroupUser groupUser, User user);
	
	User getUser(GroupUser groupUser, User user);
	
	List<GroupUserApp> getAllApplications(GroupUser groupUser);
	
	boolean addApplications (GroupUser groupUser, Applications applications, String userId);
	
	boolean removeApplications (GroupUser groupUser, Applications applications);
	
	Applications getApplications (GroupUser groupUser, Applications applications);
	
}
