package com.librework.console.service;

import com.librework.console.daoLDAP.IApplicationLDAPDao;
import com.librework.console.daoLDAP.IGroupLDAPDao;
import com.librework.console.daoLDAP.IServerLDAPDao;
import com.librework.console.daoLDAP.IUserGroupLDAPDao;
import com.librework.console.daoLDAP.IUserLDAPDao;

import static com.librework.console.utils.AppUtils.getBean;


public class ServiceUtilsLDAP {

	public static IUserLDAPDao getUserLDAPService(){
		return (IUserLDAPDao)getBean("userLDAPDao");
	}
	
	public static IGroupLDAPDao getGroupLDAPService(){
		return (IGroupLDAPDao)getBean("groupLDAPDao");
	}
	
	public static IUserGroupLDAPDao getUserGroupLDAPService(){
		return (IUserGroupLDAPDao)getBean("userGroupLDAPDao");
	}
	
	public static IApplicationLDAPDao getApplicationLDAPService(){
		return (IApplicationLDAPDao)getBean("applicationLDAPDao");
	}
	
	public static IServerLDAPDao getServerLDAPService(){
		return (IServerLDAPDao)getBean("serverLDAPDao");
	}
	
	public static IServerLDAPDao getUserAppLDAPService(){
		return (IServerLDAPDao)getBean("userAppLDAPDao");
	}
}
