package com.librework.console.utils;

import java.io.Serializable;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

import com.librework.console.general.Constant;

public class FacesUtils implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	FacesMessage msg = null;
	LanguageUtils lang = null;
	
	public FacesUtils() {
		lang = new LanguageUtils();
	}
	public void sendMessage(String headerMessage, String bodyMessage, String typeMessage) {
		if (typeMessage.equals(Constant.MSG_CRITICAL)) {
			msg = new FacesMessage(FacesMessage.SEVERITY_FATAL, lang.getMessage(headerMessage),
					lang.getMessage(bodyMessage));
			FacesContext.getCurrentInstance().addMessage(null, msg);
		} 
		
		if (typeMessage.equals(Constant.MSG_WARNNING)) {
			msg = new FacesMessage(FacesMessage.SEVERITY_WARN, lang.getMessage(headerMessage),
					lang.getMessage(bodyMessage));
			FacesContext.getCurrentInstance().addMessage(null, msg);
		}
		
		if (typeMessage.equals(Constant.MSG_INFORMATION)) {
			msg = new FacesMessage(FacesMessage.SEVERITY_INFO, lang.getMessage(headerMessage),
					lang.getMessage(bodyMessage));
			FacesContext.getCurrentInstance().addMessage(null, msg);
		}
		
	}
}
