package com.librework.console.utils;

import java.io.IOException;
import java.util.Properties;


public class PropertiesUtils {

	Properties properties = null;
    
    
    public PropertiesUtils(String configFileName) {
        this.properties = new Properties();
        try {
            properties.load(PropertiesUtils.class.getClassLoader().getResourceAsStream(configFileName));
        } catch (IOException ex) {
            ex.printStackTrace();
        }
    }
    
    /**
     * Retorna la propiedad de configuracin solicitada
     *
     * @param key
     * @return
     */
    public String getProperty(String key) {
        return this.properties.getProperty(key);
    }//getProperty
    
   
   
    
    
}
