#ifndef INITDIALOG_H
#define INITDIALOG_H

#include <QDialog>
#include <QNetworkInterface>
#include <QMessageBox>

#include "lwserver.h"

//#define SET_INTERFACE

namespace Ui {
class InitDialog;
}

class InitDialog : public QDialog
{
	Q_OBJECT

public:
	explicit InitDialog(QString username, QString password, QWidget *parent = 0);
	~InitDialog();

private slots:
	void on_buttonBox_accepted();

private:
	Ui::InitDialog *ui;
	QList<QNetworkInterface> interfaces;
};

#endif // INITDIALOG_H
