#ifndef LWPRINTERCOMMAND_H
#define LWPRINTERCOMMAND_H

#include <QString>
#include <QProcess>

#include "constants.h"

class LWPrinterCommand : public QObject
{
	Q_OBJECT

	public:
		static QString addGooglePrinter(QString confFile, QString account, QString username, QString printerName);
		static QString removeGooglePrinter(QString confFile, QString account, QString username, QString printerName);
		static QString pruneGooglePrinters(QString confFile, QString username);
		static QString addPrinter(QString name, QString address);
		static QString removePrinter(QString name);
		static QString sharePrinter(QString name, QString group);
};

#endif
